Subject: Re: [net-next:master 294/295] drivers/net/ethernet/stmicro/stmmac/stmmac_main.c:287:3: error: implicit declaration of function 'phy_init_eee'

From: Giuseppe CAVALLARO <[email-masked]>
Date: Fri, 06 Jul 2012 10:08:58 +0200

On 7/1/2012 1:35 PM, [email-masked] wrote:
> Hi Giuseppe,
> 
> Here is a build dependency: the below commit used some functions
> provided by the immediate next commit "phy: add the EEE support and
> the way to access to the MMD registers."
> 

I had built all w/o issues (on arm/sh/x86) but I'm looking at the build
again.
I hope to fix it in case of I am able to reproduce the problem because
I'm on business trip and I have some issue to run tests :-(

I'll try

Peppe

> ---
> Kernel build failed on
> 
> tree:   git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next.git master
> head:   a59a4d1921664da63d801ba477950114c71c88c9
> commit: d765955d2ae0b88781a0db3a5bacfe4241925e09 [294/295] stmmac: add the Energy Efficient Ethernet support
> config: x86_64-allmodconfig
> 
> All related error/warning messages:
> 
> drivers/net/ethernet/stmicro/stmmac/stmmac_main.c: In function 'stmmac_eee_init':
> drivers/net/ethernet/stmicro/stmmac/stmmac_main.c:287:3: error: implicit declaration of function 'phy_init_eee' [-Werror=implicit-function-declaration]
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c: In function 'stmmac_get_ethtool_stats':
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c:380:4: error: implicit declaration of function 'phy_get_eee_err' [-Werror=implicit-function-declaration]
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c: In function 'stmmac_ethtool_op_get_eee':
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c:494:2: error: implicit declaration of function 'phy_ethtool_get_eee' [-Werror=implicit-function-declaration]
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c: In function 'stmmac_ethtool_op_set_eee':
> drivers/net/ethernet/stmicro/stmmac/stmmac_ethtool.c:519:2: error: implicit declaration of function 'phy_ethtool_set_eee' [-Werror=implicit-function-declaration]
> 
> drivers/net/ethernet/stmicro/stmmac/stmmac_main.c:287:
>    284		/* MAC core supports the EEE feature. */
>    285		if (priv->dma_cap.eee) {
>    286			/* Check if the PHY supports EEE */
>  > 287			if (phy_init_eee(priv->phydev, 1))
>    288				goto out;
>    289	
>    290			priv->eee_active = 1;
> 
> ---
> 0-DAY kernel build testing backend         Open Source Technology Centre
> Fengguang Wu <[email-masked]>                     Intel Corporation
>